View Issue Details

IDProjectCategoryView StatusLast Update
0003712Far ManagerEditorpublic2019-08-08 21:51
Reporternssoft96Assigned ToDrKnS 
PriorityhighSeveritycrashReproducibilityrandom
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003712: При сохранении файла происходит краш фара и файл обретает нулевую длину
DescriptionЗдравствуйте!

После редактирования файла и последующим его сохранении в редакторе фара произошел сбой, повлекший падение фара и редактируемый файл обрел нулевую длину.

Файл был в единичном экземпляре с ценной для меня информацией. Подскажите что можно сделать? Редактор фара хранит где-то темп копии открытого файла? Как восстановить испорченный файл?

С уважением,
Сергей.
Tagsкрушение, файл потерт
Build5411

Activities

DrKnS

2019-05-27 23:51

administrator   bugnote:0016509

Сочувствуем, но увы, копии не хранятся.
Что можно сделать:
- Поискать программы для восстановления данных. Вряд ли поможет, но а вдруг.
- Не хранить ценную информацию в единственном экземпляре и регулярно делать резервные копии.
- Если вы можете воспроизвести падение или уже сохранили дамп / стек / сообщение об ошибке / хоть что нибудь - поделитесь с нами. Если проблема в Far - мы её исправим.

nssoft96

2019-05-28 19:45

reporter   bugnote:0016511

Спасибо за ответ! К сожалению в логах нет ничего об ошибке данного приложения. При сохранении файла произошло не сохранение а выход. За многие годы работы с фаром такого не встечал. Очень редкий глюк.

DrKnS

2019-06-13 04:10

administrator   bugnote:0016520

После 5411 сохранение будет выполняться более безопасно и можно будет включить создание резервных копий.

Smitis

2019-06-14 14:43

reporter   bugnote:0016521

Last edited: 2019-06-14 14:45

View 2 revisions

Someone wrote

1. По мотивам 0003712: При сохранении файла происходит краш фара и файл обретает нулевую длину:
   сохранять так, как мы сохраняем, действительно, не очень хорошо.
   Теперь в редакторе (а также при сохранении файлов описаний и user menu) запись выполняется в новый файл, которым затем заменяется старый при помощи ReplaceFileW


И стали теряться хардлинки. :(

DrKnS

2019-06-14 19:15

administrator   bugnote:0016522

> стали теряться хардлинки. :(

Ок, хардлинки будем сохранять по-старому. 5413.

Smitis

2019-06-14 22:14

reporter   bugnote:0016523

DrKnS wrote

Ок, хардлинки будем сохранять по-старому. 5413.

Спасибо.

DrKnS wrote

2. Как выяснилось, обновление описаний в ANSI плагинах (e.g. Multiarc) не работало никогда.

Когда-то работало. Но в определённый момент сломалось. Я, кажется, писал об этом. Во всяком случае, собирался. Давно было, не помню.

Issue History

Date Modified Username Field Change
2019-05-27 22:20 nssoft96 New Issue
2019-05-27 22:20 nssoft96 Tag Attached: крушение
2019-05-27 22:20 nssoft96 Tag Attached: файл потерт
2019-05-27 23:51 DrKnS Note Added: 0016509
2019-05-28 19:45 nssoft96 Note Added: 0016511
2019-06-13 04:10 DrKnS Assigned To => DrKnS
2019-06-13 04:10 DrKnS Status new => feedback
2019-06-13 04:10 DrKnS Note Added: 0016520
2019-06-14 14:43 Smitis Note Added: 0016521
2019-06-14 14:45 Smitis Note Edited: 0016521 View Revisions
2019-06-14 19:15 DrKnS Note Added: 0016522
2019-06-14 22:14 Smitis Note Added: 0016523
2019-08-08 21:51 DrKnS Status feedback => closed
2019-08-08 21:51 DrKnS Resolution open => fixed
2019-08-08 21:51 DrKnS Fixed in Version => 3.0
2019-08-08 21:51 DrKnS Build => 5411